> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# filter_and_get_pool_info



## OpenAPI

````yaml /api-reference/damm-v1/openapi.json get /pools/search
openapi: 3.0.3
info:
  title: dynamic-amm-keeper
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://damm-api.meteora.ag
    description: DAMM Mainnet API
  - url: https://damm-api.devnet.meteora.ag
    description: DAMM Devnet API
security: []
paths:
  /pools/search:
    get:
      tags:
        - Pools
      summary: filter_and_get_pool_info
      operationId: filter_and_get_pool_info
      parameters:
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
        - name: size
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
        - name: filter
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: sort_key
          in: query
          description: Sort key. Default is Volume.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/PoolSortKey'
            nullable: true
        - name: order_by
          in: query
          description: Sort order. Default is Descending.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/OrderBy'
            nullable: true
        - name: pools_to_top
          in: query
          description: Pools to be sorted to top
          required: false
          schema:
            type: array
            items:
              type: string
        - name: unknown
          in: query
          description: |-
            Common options to filter pools
            Toggle unknown pools
          required: false
          schema:
            type: boolean
            nullable: true
        - name: pool_type
          in: query
          description: Filter only specific pool type
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/PoolTypeQueryParam'
            nullable: true
        - name: is_monitoring
          in: query
          description: Toggle pools that is under monitoring
          required: false
          schema:
            type: boolean
            nullable: true
        - name: hide_low_tvl
          in: query
          description: Hide pools with lower TVL than the value passed in
          required: false
          schema:
            type: number
            format: double
            nullable: true
        - name: hide_low_apr
          in: query
          description: Hide pools with low APR
          required: false
          schema:
            type: boolean
            nullable: true
        - name: include_token_mints
          in: query
          description: Only include token mints. Allow list of token mints
          required: false
          schema:
            type: array
            items:
              type: string
            nullable: true
        - name: include_pool_token_pairs
          in: query
          description: >-
            Only include pool token pairs. Allow list of pool token mints in
            format
            EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v-So11111111111111111111111111111111111111112
          required: false
          schema:
            type: array
            items:
              type: string
            nullable: true
        - name: launchpad
          in: query
          description: Launchpad to filter by
          required: false
          schema:
            type: array
            items:
              type: string
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPoolResponse'
components:
  schemas:
    PoolSortKey:
      type: string
      enum:
        - tvl
        - volume
        - fee_tvl_ratio
        - l_m
    OrderBy:
      type: string
      enum:
        - asc
        - desc
    PoolTypeQueryParam:
      type: string
      enum:
        - dynamic
        - multitoken
        - lst
        - farms
    PaginatedPoolResponse:
      type: object
      required:
        - data
        - page
        - total_count
      properties:
        data:
          $ref: '#/components/schemas/PoolResponse'
        page:
          type: integer
          minimum: 0
        total_count:
          type: integer
          minimum: 0
    PoolResponse:
      allOf:
        - $ref: '#/components/schemas/Metrics'
        - type: object
          required:
            - pool_address
            - pool_token_mints
            - pool_token_amounts
            - pool_token_usd_amounts
            - lp_mint
            - pool_tvl
            - farm_tvl
            - farming_apy
            - is_monitoring
            - pool_order
            - farm_order
            - pool_version
            - pool_name
            - lp_decimal
            - farm_reward_duration_end
            - farm_expire
            - pool_lp_price_in_usd
            - trade_apy
            - weekly_trade_apy
            - daily_base_apy
            - weekly_base_apy
            - farm_new
            - permissioned
            - unknown
            - total_fee_pct
            - is_lst
            - is_forex
            - created_at
          properties:
            created_at:
              type: integer
              format: int64
            daily_base_apy:
              type: string
            farm_expire:
              type: boolean
            farm_new:
              type: boolean
            farm_order:
              type: integer
              format: int64
            farm_reward_duration_end:
              type: integer
              format: int64
              minimum: 0
            farm_tvl:
              type: string
            farming_apy:
              type: string
            farming_pool:
              type: string
              nullable: true
            is_forex:
              type: boolean
            is_lst:
              type: boolean
            is_monitoring:
              type: boolean
            lp_decimal:
              type: integer
              format: int64
            lp_mint:
              type: string
            permissioned:
              type: boolean
            pool_address:
              type: string
            pool_lp_price_in_usd:
              type: string
            pool_name:
              type: string
            pool_order:
              type: integer
              format: int64
            pool_token_amounts:
              type: array
              items:
                type: string
            pool_token_mints:
              type: array
              items:
                type: string
            pool_token_usd_amounts:
              type: array
              items:
                type: string
            pool_tvl:
              type: string
            pool_version:
              type: integer
              format: int32
            total_fee_pct:
              type: string
            trade_apy:
              type: string
            unknown:
              type: boolean
            weekly_base_apy:
              type: string
            weekly_trade_apy:
              type: string
      description: Response for /pools
    Metrics:
      allOf:
        - $ref: '#/components/schemas/SwapMetrics'
        - $ref: '#/components/schemas/SwapMetrics'
        - type: object
          required:
            - yield_volume
            - accumulated_trading_volume
            - accumulated_fee_volume
            - accumulated_yield_volume
          properties:
            accumulated_fee_volume:
              type: number
              format: double
              description: Accumulated fee volume
            accumulated_trading_volume:
              type: number
              format: double
              description: Accumulated trading volume
            accumulated_yield_volume:
              type: number
              format: double
              description: Accumulated yield volume
            yield_volume:
              type: string
              description: 24H Yield generated from the vault
      description: Subfield for pool response in /pools, it contain metrics for each pool
    SwapMetrics:
      type: object
      required:
        - trading_volume
        - fee_volume
      properties:
        fee_volume:
          type: number
          format: double
        trading_volume:
          type: number
          format: double

````